GOZILLA(1)

NAME
gozilla - force firefox to display specified part of a source file

SYNOPSIS
gozilla [-b browser][-p][+no] file
gozilla [-b browser][-p] -d name

DESCRIPTION
Gozilla forces firefox to display specified part of a source file. Gozilla can be used with other browsers like chrome.

In advance of using this command, you must execute gtags(1) and htags(1) at the root directory of the project to make tag files. Then you can execute this command anywhere in the project.

First form:
You can specify a source file and optional line number. This syntax is similar to vi(1) and emacs(1).

Second form:
You can specify a definition name directly. The definition name should exist in 'GTAGS'. This option requires 'HTML/MAP' generated by htags(1).

Some browsers require you to load it before executing gozilla.

OPTIONS
The following options are available:

+no Line number.

-b browser
    Browser to use. By default, it is assumed firefox.

-d name
    Print definitions.

--help
    Show help.

-p  Just print a generated URL instead of displaying it.

file
    File name or alias name.

-q, --quiet
    Quiet mode.

-v, --verbose
    Verbose mode.

--version
    Show version number.

FILES

'GTAGS'
    Tag file for definitions.

'HTML/'
    Hypertext of source code.

'HTML/MAP'
    Mapping file for converting tag name into the path of tag list.

'gtags.conf', '$HOME/.globalrc'
    Configuration data for GNU Global. See gtags.conf(5).

ENVIRONMENT

BROWSER
    Browser to use. By default, it is assumed firefox. If you want to load the default browser in OSX, you may set this variable to osx-default.

GTAGSDBPATH
    The directory in which the tag files exist. This value is ignored when GTAGSROOT is not defined.

GTAGSROOT
    The root directory of the project.

EXAMPLES
$ gtags
$ htags
$ global -x main
main              82 ctags.c          main(argc, argv)
$ gozilla +82 ctags.c
$ gozilla -d main

$ gozilla -b lynx +82 ctags.c

DIAGNOSTICS
Gozilla exits with a non-0 value if an error occurred, 0 otherwise.

SEE ALSO
global(1), gtags(1), htags(1), epiphany(1), firefox(1), gtags.conf(5).

GNU Global source code tag system
(http://www.gnu.org/software/global/).

AUTHORS
Shigio YAMAGUCHI.

HISTORY
The gozilla command appeared in FreeBSD 2.2.2 but was not installed by default.